Bug 1275868 - Cannot add boundary event for user task if we have multiple subprocesses with boundary event
Cannot add boundary event for user task if we have multiple subprocesses with...
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 21:23 EDT by Abhijit humbe
Modified: 2016-01-12 01:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
abhumbe: needinfo-


Attachments (Terms of Use)
BPMN process (4.00 KB, application/zip)
2015-10-27 21:23 EDT, Abhijit humbe
no flags Details
complete log file (158.59 KB, text/plain)
2016-01-12 01:17 EST, Abhijit humbe
no flags Details

  None (edit)
Description Abhijit humbe 2015-10-27 21:23:47 EDT
Created attachment 1087121 [details]
BPMN process

Description of problem:
If we have only one embedded subprocess which contains UserTask with boundary timer event,it works fine. Only when we add the second subprocess that has a boundary timer event then it throws error

~~~
java.lang.IllegalArgumentException: Could not find source node for connection:_12794D5C-A8F4-4019-B4C6-CE8F7EB2DCC5
~~~

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1.Import attached BPMN process into web designer and try to build project.
2.Build will fail with exception
 

Actual results:
Not able to add boundary event for user task inside if we have multiple subprocesses with boundary event

Expected results:
we should be able to add boundary event for user task inside even if we have multiple subprocesses with boundary event

Additional info:
Comment 2 Tihomir Surdilovic 2015-11-11 13:36:43 EST
This does not look like a Designer issue. The BPMN2 seems correct in the provided test process and it is consistent when you have 1 or 2+ subprocesses that include tasks with boundary events. 

I will investigate the parser side as well to see where the issue lies.
Comment 3 Tihomir Surdilovic 2015-11-11 13:39:05 EST
Could you provide the entire stacktrace of the error(s) in the logs?
Comment 4 Abhijit humbe 2016-01-12 01:17 EST
Created attachment 1113856 [details]
complete log file

Note You need to log in before you can comment on or make changes to this bug.